curl --request PUT \
--url https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"allocationId": "62ff5c0bec0aed3c86202c32",
"parentAllocationId": "62ff5c0bec0aed3c86202c32",
"locationNum": "1234B",
"items": [
{
"itemId": "100064",
"sku": "123k4h123k",
"quantity": 3,
"allocationLineNumber": 3,
"orderLineId": "134fqfaa532qrf",
"orderId": "123k4h123k",
"orderDate": "2022-08-01T18:03:28.483971941Z",
"estimatedDeliveryDate": "2022-08-01T18:03:28.483971941Z",
"parentAllocationLineNumber": 3,
"reallocationRequestId": "123k4h123k",
"shippedQuantity": 1,
"scratchQuantity": 1,
"scratchedReasonCode": "Scratched during shipment",
"reshipReasonCode": "Reshipping during shipment",
"reallocationReasonCode": "Reallocating due to unavailability of location number",
"channelId": "12",
"segment": null,
"vendorId": "56",
"title": "Demo",
"weight": 5.5,
"cost": 500.2,
"price": 50.2,
"itemStatus": "ALLOCATED",
"attributes": {},
"uom": "KG"
}
],
"version": 2,
"allocationRequestId": "62ff5c0bec0aed3c86202c32",
"allocationNum": "xxyyzz12345",
"sentToPPSDate": "2022-08-01T18:03:28.483971941Z",
"allocationDate": "2022-08-01T18:03:28.483971941Z",
"updatedAt": "2022-08-01T20:03:28.483971941Z",
"type": "ALLOCATED",
"previousAllocationLocationNum": 410,
"poNumber": "1125",
"itemsType": "WEB_SHIP",
"orderSubType": "BORDERFREE",
"vendorId": "56",
"shipDate": null,
"shipType": "SHIP_TO_ADDRESS",
"shipMethod": "Overnight Delivery",
"shipToId": "98ff5c0bec0aed3c86202c32",
"statusCode": "PENDING_PICK",
"locationType": "1234B",
"shipToAddress": {},
"recipient": [
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "demo@xyz.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
],
"auditLogs": [
{
"lineItemId": "4",
"auditId": "62272e917b12209e68751d94",
"auditType": "UPDATE",
"employeeId": "62272e917b12209e68751d94",
"auditTimestamp": "2022-05-12T09:24:54.804Z",
"source": "POS",
"reasonCode": "POS",
"subReasonCode": "POS",
"policyCode": "POS",
"note": "Note",
"lineItemNumber": 1,
"sku": "F5F",
"quantity": 1,
"amount": 2.4,
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"success": true,
"paymentResponse": {},
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
],
"attributes": {}
}
]
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}"
payload = {
"allocationId": "62ff5c0bec0aed3c86202c32",
"parentAllocationId": "62ff5c0bec0aed3c86202c32",
"locationNum": "1234B",
"items": [
{
"itemId": "100064",
"sku": "123k4h123k",
"quantity": 3,
"allocationLineNumber": 3,
"orderLineId": "134fqfaa532qrf",
"orderId": "123k4h123k",
"orderDate": "2022-08-01T18:03:28.483971941Z",
"estimatedDeliveryDate": "2022-08-01T18:03:28.483971941Z",
"parentAllocationLineNumber": 3,
"reallocationRequestId": "123k4h123k",
"shippedQuantity": 1,
"scratchQuantity": 1,
"scratchedReasonCode": "Scratched during shipment",
"reshipReasonCode": "Reshipping during shipment",
"reallocationReasonCode": "Reallocating due to unavailability of location number",
"channelId": "12",
"segment": None,
"vendorId": "56",
"title": "Demo",
"weight": 5.5,
"cost": 500.2,
"price": 50.2,
"itemStatus": "ALLOCATED",
"attributes": {},
"uom": "KG"
}
],
"version": 2,
"allocationRequestId": "62ff5c0bec0aed3c86202c32",
"allocationNum": "xxyyzz12345",
"sentToPPSDate": "2022-08-01T18:03:28.483971941Z",
"allocationDate": "2022-08-01T18:03:28.483971941Z",
"updatedAt": "2022-08-01T20:03:28.483971941Z",
"type": "ALLOCATED",
"previousAllocationLocationNum": 410,
"poNumber": "1125",
"itemsType": "WEB_SHIP",
"orderSubType": "BORDERFREE",
"vendorId": "56",
"shipDate": None,
"shipType": "SHIP_TO_ADDRESS",
"shipMethod": "Overnight Delivery",
"shipToId": "98ff5c0bec0aed3c86202c32",
"statusCode": "PENDING_PICK",
"locationType": "1234B",
"shipToAddress": {},
"recipient": [
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "demo@xyz.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
],
"auditLogs": [
{
"lineItemId": "4",
"auditId": "62272e917b12209e68751d94",
"auditType": "UPDATE",
"employeeId": "62272e917b12209e68751d94",
"auditTimestamp": "2022-05-12T09:24:54.804Z",
"source": "POS",
"reasonCode": "POS",
"subReasonCode": "POS",
"policyCode": "POS",
"note": "Note",
"lineItemNumber": 1,
"sku": "F5F",
"quantity": 1,
"amount": 2.4,
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"success": True,
"paymentResponse": {},
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
],
"attributes": {}
}
]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
allocationId: '62ff5c0bec0aed3c86202c32',
parentAllocationId: '62ff5c0bec0aed3c86202c32',
locationNum: '1234B',
items: [
{
itemId: '100064',
sku: '123k4h123k',
quantity: 3,
allocationLineNumber: 3,
orderLineId: '134fqfaa532qrf',
orderId: '123k4h123k',
orderDate: '2022-08-01T18:03:28.483971941Z',
estimatedDeliveryDate: '2022-08-01T18:03:28.483971941Z',
parentAllocationLineNumber: 3,
reallocationRequestId: '123k4h123k',
shippedQuantity: 1,
scratchQuantity: 1,
scratchedReasonCode: 'Scratched during shipment',
reshipReasonCode: 'Reshipping during shipment',
reallocationReasonCode: 'Reallocating due to unavailability of location number',
channelId: '12',
segment: null,
vendorId: '56',
title: 'Demo',
weight: 5.5,
cost: 500.2,
price: 50.2,
itemStatus: 'ALLOCATED',
attributes: {},
uom: 'KG'
}
],
version: 2,
allocationRequestId: '62ff5c0bec0aed3c86202c32',
allocationNum: 'xxyyzz12345',
sentToPPSDate: '2022-08-01T18:03:28.483971941Z',
allocationDate: '2022-08-01T18:03:28.483971941Z',
updatedAt: '2022-08-01T20:03:28.483971941Z',
type: 'ALLOCATED',
previousAllocationLocationNum: 410,
poNumber: '1125',
itemsType: 'WEB_SHIP',
orderSubType: 'BORDERFREE',
vendorId: '56',
shipDate: null,
shipType: 'SHIP_TO_ADDRESS',
shipMethod: 'Overnight Delivery',
shipToId: '98ff5c0bec0aed3c86202c32',
statusCode: 'PENDING_PICK',
locationType: '1234B',
shipToAddress: {},
recipient: [
{
name: {first: 'John', middle: 'Middle', last: 'Doe'},
email: 'demo@xyz.inc',
phone: {number: '55555555555', type: 'MOBILE'},
pickupType: 'Primary'
}
],
auditLogs: [
{
lineItemId: '4',
auditId: '62272e917b12209e68751d94',
auditType: 'UPDATE',
employeeId: '62272e917b12209e68751d94',
auditTimestamp: '2022-05-12T09:24:54.804Z',
source: 'POS',
reasonCode: 'POS',
subReasonCode: 'POS',
policyCode: 'POS',
note: 'Note',
lineItemNumber: 1,
sku: 'F5F',
quantity: 1,
amount: 2.4,
paymentToken: {token: 'pi_34tr6787rt', paymentType: 'VISA'},
success: true,
paymentResponse: {},
updatedFields: [{fieldName: 'UOM', fieldOriginalValue: 'PK'}],
attributes: {}
}
]
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'allocationId' => '62ff5c0bec0aed3c86202c32',
'parentAllocationId' => '62ff5c0bec0aed3c86202c32',
'locationNum' => '1234B',
'items' => [
[
'itemId' => '100064',
'sku' => '123k4h123k',
'quantity' => 3,
'allocationLineNumber' => 3,
'orderLineId' => '134fqfaa532qrf',
'orderId' => '123k4h123k',
'orderDate' => '2022-08-01T18:03:28.483971941Z',
'estimatedDeliveryDate' => '2022-08-01T18:03:28.483971941Z',
'parentAllocationLineNumber' => 3,
'reallocationRequestId' => '123k4h123k',
'shippedQuantity' => 1,
'scratchQuantity' => 1,
'scratchedReasonCode' => 'Scratched during shipment',
'reshipReasonCode' => 'Reshipping during shipment',
'reallocationReasonCode' => 'Reallocating due to unavailability of location number',
'channelId' => '12',
'segment' => null,
'vendorId' => '56',
'title' => 'Demo',
'weight' => 5.5,
'cost' => 500.2,
'price' => 50.2,
'itemStatus' => 'ALLOCATED',
'attributes' => [
],
'uom' => 'KG'
]
],
'version' => 2,
'allocationRequestId' => '62ff5c0bec0aed3c86202c32',
'allocationNum' => 'xxyyzz12345',
'sentToPPSDate' => '2022-08-01T18:03:28.483971941Z',
'allocationDate' => '2022-08-01T18:03:28.483971941Z',
'updatedAt' => '2022-08-01T20:03:28.483971941Z',
'type' => 'ALLOCATED',
'previousAllocationLocationNum' => 410,
'poNumber' => '1125',
'itemsType' => 'WEB_SHIP',
'orderSubType' => 'BORDERFREE',
'vendorId' => '56',
'shipDate' => null,
'shipType' => 'SHIP_TO_ADDRESS',
'shipMethod' => 'Overnight Delivery',
'shipToId' => '98ff5c0bec0aed3c86202c32',
'statusCode' => 'PENDING_PICK',
'locationType' => '1234B',
'shipToAddress' => [
],
'recipient' => [
[
'name' => [
'first' => 'John',
'middle' => 'Middle',
'last' => 'Doe'
],
'email' => 'demo@xyz.inc',
'phone' => [
'number' => '55555555555',
'type' => 'MOBILE'
],
'pickupType' => 'Primary'
]
],
'auditLogs' => [
[
'lineItemId' => '4',
'auditId' => '62272e917b12209e68751d94',
'auditType' => 'UPDATE',
'employeeId' => '62272e917b12209e68751d94',
'auditTimestamp' => '2022-05-12T09:24:54.804Z',
'source' => 'POS',
'reasonCode' => 'POS',
'subReasonCode' => 'POS',
'policyCode' => 'POS',
'note' => 'Note',
'lineItemNumber' => 1,
'sku' => 'F5F',
'quantity' => 1,
'amount' => 2.4,
'paymentToken' => [
'token' => 'pi_34tr6787rt',
'paymentType' => 'VISA'
],
'success' => true,
'paymentResponse' => [
],
'updatedFields' => [
[
'fieldName' => 'UOM',
'fieldOriginalValue' => 'PK'
]
],
'attributes' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}"
payload := strings.NewReader("{\n \"allocationId\": \"62ff5c0bec0aed3c86202c32\",\n \"parentAllocationId\": \"62ff5c0bec0aed3c86202c32\",\n \"locationNum\": \"1234B\",\n \"items\": [\n {\n \"itemId\": \"100064\",\n \"sku\": \"123k4h123k\",\n \"quantity\": 3,\n \"allocationLineNumber\": 3,\n \"orderLineId\": \"134fqfaa532qrf\",\n \"orderId\": \"123k4h123k\",\n \"orderDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"estimatedDeliveryDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"parentAllocationLineNumber\": 3,\n \"reallocationRequestId\": \"123k4h123k\",\n \"shippedQuantity\": 1,\n \"scratchQuantity\": 1,\n \"scratchedReasonCode\": \"Scratched during shipment\",\n \"reshipReasonCode\": \"Reshipping during shipment\",\n \"reallocationReasonCode\": \"Reallocating due to unavailability of location number\",\n \"channelId\": \"12\",\n \"segment\": null,\n \"vendorId\": \"56\",\n \"title\": \"Demo\",\n \"weight\": 5.5,\n \"cost\": 500.2,\n \"price\": 50.2,\n \"itemStatus\": \"ALLOCATED\",\n \"attributes\": {},\n \"uom\": \"KG\"\n }\n ],\n \"version\": 2,\n \"allocationRequestId\": \"62ff5c0bec0aed3c86202c32\",\n \"allocationNum\": \"xxyyzz12345\",\n \"sentToPPSDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"allocationDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"updatedAt\": \"2022-08-01T20:03:28.483971941Z\",\n \"type\": \"ALLOCATED\",\n \"previousAllocationLocationNum\": 410,\n \"poNumber\": \"1125\",\n \"itemsType\": \"WEB_SHIP\",\n \"orderSubType\": \"BORDERFREE\",\n \"vendorId\": \"56\",\n \"shipDate\": null,\n \"shipType\": \"SHIP_TO_ADDRESS\",\n \"shipMethod\": \"Overnight Delivery\",\n \"shipToId\": \"98ff5c0bec0aed3c86202c32\",\n \"statusCode\": \"PENDING_PICK\",\n \"locationType\": \"1234B\",\n \"shipToAddress\": {},\n \"recipient\": [\n {\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"demo@xyz.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"pickupType\": \"Primary\"\n }\n ],\n \"auditLogs\": [\n {\n \"lineItemId\": \"4\",\n \"auditId\": \"62272e917b12209e68751d94\",\n \"auditType\": \"UPDATE\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"auditTimestamp\": \"2022-05-12T09:24:54.804Z\",\n \"source\": \"POS\",\n \"reasonCode\": \"POS\",\n \"subReasonCode\": \"POS\",\n \"policyCode\": \"POS\",\n \"note\": \"Note\",\n \"lineItemNumber\": 1,\n \"sku\": \"F5F\",\n \"quantity\": 1,\n \"amount\": 2.4,\n \"paymentToken\": {\n \"token\": \"pi_34tr6787rt\",\n \"paymentType\": \"VISA\"\n },\n \"success\": true,\n \"paymentResponse\": {},\n \"updatedFields\": [\n {\n \"fieldName\": \"UOM\",\n \"fieldOriginalValue\": \"PK\"\n }\n ],\n \"attributes\": {}\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allocationId\": \"62ff5c0bec0aed3c86202c32\",\n \"parentAllocationId\": \"62ff5c0bec0aed3c86202c32\",\n \"locationNum\": \"1234B\",\n \"items\": [\n {\n \"itemId\": \"100064\",\n \"sku\": \"123k4h123k\",\n \"quantity\": 3,\n \"allocationLineNumber\": 3,\n \"orderLineId\": \"134fqfaa532qrf\",\n \"orderId\": \"123k4h123k\",\n \"orderDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"estimatedDeliveryDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"parentAllocationLineNumber\": 3,\n \"reallocationRequestId\": \"123k4h123k\",\n \"shippedQuantity\": 1,\n \"scratchQuantity\": 1,\n \"scratchedReasonCode\": \"Scratched during shipment\",\n \"reshipReasonCode\": \"Reshipping during shipment\",\n \"reallocationReasonCode\": \"Reallocating due to unavailability of location number\",\n \"channelId\": \"12\",\n \"segment\": null,\n \"vendorId\": \"56\",\n \"title\": \"Demo\",\n \"weight\": 5.5,\n \"cost\": 500.2,\n \"price\": 50.2,\n \"itemStatus\": \"ALLOCATED\",\n \"attributes\": {},\n \"uom\": \"KG\"\n }\n ],\n \"version\": 2,\n \"allocationRequestId\": \"62ff5c0bec0aed3c86202c32\",\n \"allocationNum\": \"xxyyzz12345\",\n \"sentToPPSDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"allocationDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"updatedAt\": \"2022-08-01T20:03:28.483971941Z\",\n \"type\": \"ALLOCATED\",\n \"previousAllocationLocationNum\": 410,\n \"poNumber\": \"1125\",\n \"itemsType\": \"WEB_SHIP\",\n \"orderSubType\": \"BORDERFREE\",\n \"vendorId\": \"56\",\n \"shipDate\": null,\n \"shipType\": \"SHIP_TO_ADDRESS\",\n \"shipMethod\": \"Overnight Delivery\",\n \"shipToId\": \"98ff5c0bec0aed3c86202c32\",\n \"statusCode\": \"PENDING_PICK\",\n \"locationType\": \"1234B\",\n \"shipToAddress\": {},\n \"recipient\": [\n {\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"demo@xyz.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"pickupType\": \"Primary\"\n }\n ],\n \"auditLogs\": [\n {\n \"lineItemId\": \"4\",\n \"auditId\": \"62272e917b12209e68751d94\",\n \"auditType\": \"UPDATE\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"auditTimestamp\": \"2022-05-12T09:24:54.804Z\",\n \"source\": \"POS\",\n \"reasonCode\": \"POS\",\n \"subReasonCode\": \"POS\",\n \"policyCode\": \"POS\",\n \"note\": \"Note\",\n \"lineItemNumber\": 1,\n \"sku\": \"F5F\",\n \"quantity\": 1,\n \"amount\": 2.4,\n \"paymentToken\": {\n \"token\": \"pi_34tr6787rt\",\n \"paymentType\": \"VISA\"\n },\n \"success\": true,\n \"paymentResponse\": {},\n \"updatedFields\": [\n {\n \"fieldName\": \"UOM\",\n \"fieldOriginalValue\": \"PK\"\n }\n ],\n \"attributes\": {}\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allocationId\": \"62ff5c0bec0aed3c86202c32\",\n \"parentAllocationId\": \"62ff5c0bec0aed3c86202c32\",\n \"locationNum\": \"1234B\",\n \"items\": [\n {\n \"itemId\": \"100064\",\n \"sku\": \"123k4h123k\",\n \"quantity\": 3,\n \"allocationLineNumber\": 3,\n \"orderLineId\": \"134fqfaa532qrf\",\n \"orderId\": \"123k4h123k\",\n \"orderDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"estimatedDeliveryDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"parentAllocationLineNumber\": 3,\n \"reallocationRequestId\": \"123k4h123k\",\n \"shippedQuantity\": 1,\n \"scratchQuantity\": 1,\n \"scratchedReasonCode\": \"Scratched during shipment\",\n \"reshipReasonCode\": \"Reshipping during shipment\",\n \"reallocationReasonCode\": \"Reallocating due to unavailability of location number\",\n \"channelId\": \"12\",\n \"segment\": null,\n \"vendorId\": \"56\",\n \"title\": \"Demo\",\n \"weight\": 5.5,\n \"cost\": 500.2,\n \"price\": 50.2,\n \"itemStatus\": \"ALLOCATED\",\n \"attributes\": {},\n \"uom\": \"KG\"\n }\n ],\n \"version\": 2,\n \"allocationRequestId\": \"62ff5c0bec0aed3c86202c32\",\n \"allocationNum\": \"xxyyzz12345\",\n \"sentToPPSDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"allocationDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"updatedAt\": \"2022-08-01T20:03:28.483971941Z\",\n \"type\": \"ALLOCATED\",\n \"previousAllocationLocationNum\": 410,\n \"poNumber\": \"1125\",\n \"itemsType\": \"WEB_SHIP\",\n \"orderSubType\": \"BORDERFREE\",\n \"vendorId\": \"56\",\n \"shipDate\": null,\n \"shipType\": \"SHIP_TO_ADDRESS\",\n \"shipMethod\": \"Overnight Delivery\",\n \"shipToId\": \"98ff5c0bec0aed3c86202c32\",\n \"statusCode\": \"PENDING_PICK\",\n \"locationType\": \"1234B\",\n \"shipToAddress\": {},\n \"recipient\": [\n {\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"demo@xyz.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"pickupType\": \"Primary\"\n }\n ],\n \"auditLogs\": [\n {\n \"lineItemId\": \"4\",\n \"auditId\": \"62272e917b12209e68751d94\",\n \"auditType\": \"UPDATE\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"auditTimestamp\": \"2022-05-12T09:24:54.804Z\",\n \"source\": \"POS\",\n \"reasonCode\": \"POS\",\n \"subReasonCode\": \"POS\",\n \"policyCode\": \"POS\",\n \"note\": \"Note\",\n \"lineItemNumber\": 1,\n \"sku\": \"F5F\",\n \"quantity\": 1,\n \"amount\": 2.4,\n \"paymentToken\": {\n \"token\": \"pi_34tr6787rt\",\n \"paymentType\": \"VISA\"\n },\n \"success\": true,\n \"paymentResponse\": {},\n \"updatedFields\": [\n {\n \"fieldName\": \"UOM\",\n \"fieldOriginalValue\": \"PK\"\n }\n ],\n \"attributes\": {}\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"allocationId": "62ff5c0bec0aed3c86202c32",
"parentAllocationId": "62ff5c0bec0aed3c86202c32",
"locationNum": "1234B",
"items": [
{
"itemId": "100064",
"sku": "123k4h123k",
"quantity": 3,
"allocationLineNumber": 3,
"orderLineId": "134fqfaa532qrf",
"orderId": "123k4h123k",
"orderDate": "2022-08-01T18:03:28.483971941Z",
"estimatedDeliveryDate": "2022-08-01T18:03:28.483971941Z",
"parentAllocationLineNumber": 3,
"reallocationRequestId": "123k4h123k",
"shippedQuantity": 1,
"scratchQuantity": 1,
"scratchedReasonCode": "Scratched during shipment",
"reshipReasonCode": "Reshipping during shipment",
"reallocationReasonCode": "Reallocating due to unavailability of location number",
"channelId": "12",
"segment": null,
"vendorId": "56",
"title": "Demo",
"weight": 5.5,
"cost": 500.2,
"price": 50.2,
"itemStatus": "ALLOCATED",
"attributes": {},
"uom": "KG"
}
],
"version": 2,
"allocationRequestId": "62ff5c0bec0aed3c86202c32",
"allocationNum": "xxyyzz12345",
"sentToPPSDate": "2022-08-01T18:03:28.483971941Z",
"allocationDate": "2022-08-01T18:03:28.483971941Z",
"updatedAt": "2022-08-01T20:03:28.483971941Z",
"type": "ALLOCATED",
"previousAllocationLocationNum": 410,
"poNumber": "1125",
"itemsType": "WEB_SHIP",
"orderSubType": "BORDERFREE",
"vendorId": "56",
"shipDate": null,
"shipType": "SHIP_TO_ADDRESS",
"shipMethod": "Overnight Delivery",
"shipToId": "98ff5c0bec0aed3c86202c32",
"statusCode": "PENDING_PICK",
"locationType": "1234B",
"shipToAddress": {},
"recipient": [
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "demo@xyz.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
],
"auditLogs": [
{
"lineItemId": "4",
"auditId": "62272e917b12209e68751d94",
"auditType": "UPDATE",
"employeeId": "62272e917b12209e68751d94",
"auditTimestamp": "2022-05-12T09:24:54.804Z",
"source": "POS",
"reasonCode": "POS",
"subReasonCode": "POS",
"policyCode": "POS",
"note": "Note",
"lineItemNumber": 1,
"sku": "F5F",
"quantity": 1,
"amount": 2.4,
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"success": true,
"paymentResponse": {},
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
],
"attributes": {}
}
]
}{
"message": "Allocation details not available for this allocationId"
}{
"message": "Internal Server Error"
}Update allocation
Updates allocation for the given order or item. Primary use cases are to update location number (related to warehouse), allocation number (external use), item details, etc. To specifically update Location Number, the PUT /allocation/reallocate endpoint is recommended
curl --request PUT \
--url https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"allocationId": "62ff5c0bec0aed3c86202c32",
"parentAllocationId": "62ff5c0bec0aed3c86202c32",
"locationNum": "1234B",
"items": [
{
"itemId": "100064",
"sku": "123k4h123k",
"quantity": 3,
"allocationLineNumber": 3,
"orderLineId": "134fqfaa532qrf",
"orderId": "123k4h123k",
"orderDate": "2022-08-01T18:03:28.483971941Z",
"estimatedDeliveryDate": "2022-08-01T18:03:28.483971941Z",
"parentAllocationLineNumber": 3,
"reallocationRequestId": "123k4h123k",
"shippedQuantity": 1,
"scratchQuantity": 1,
"scratchedReasonCode": "Scratched during shipment",
"reshipReasonCode": "Reshipping during shipment",
"reallocationReasonCode": "Reallocating due to unavailability of location number",
"channelId": "12",
"segment": null,
"vendorId": "56",
"title": "Demo",
"weight": 5.5,
"cost": 500.2,
"price": 50.2,
"itemStatus": "ALLOCATED",
"attributes": {},
"uom": "KG"
}
],
"version": 2,
"allocationRequestId": "62ff5c0bec0aed3c86202c32",
"allocationNum": "xxyyzz12345",
"sentToPPSDate": "2022-08-01T18:03:28.483971941Z",
"allocationDate": "2022-08-01T18:03:28.483971941Z",
"updatedAt": "2022-08-01T20:03:28.483971941Z",
"type": "ALLOCATED",
"previousAllocationLocationNum": 410,
"poNumber": "1125",
"itemsType": "WEB_SHIP",
"orderSubType": "BORDERFREE",
"vendorId": "56",
"shipDate": null,
"shipType": "SHIP_TO_ADDRESS",
"shipMethod": "Overnight Delivery",
"shipToId": "98ff5c0bec0aed3c86202c32",
"statusCode": "PENDING_PICK",
"locationType": "1234B",
"shipToAddress": {},
"recipient": [
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "demo@xyz.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
],
"auditLogs": [
{
"lineItemId": "4",
"auditId": "62272e917b12209e68751d94",
"auditType": "UPDATE",
"employeeId": "62272e917b12209e68751d94",
"auditTimestamp": "2022-05-12T09:24:54.804Z",
"source": "POS",
"reasonCode": "POS",
"subReasonCode": "POS",
"policyCode": "POS",
"note": "Note",
"lineItemNumber": 1,
"sku": "F5F",
"quantity": 1,
"amount": 2.4,
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"success": true,
"paymentResponse": {},
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
],
"attributes": {}
}
]
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}"
payload = {
"allocationId": "62ff5c0bec0aed3c86202c32",
"parentAllocationId": "62ff5c0bec0aed3c86202c32",
"locationNum": "1234B",
"items": [
{
"itemId": "100064",
"sku": "123k4h123k",
"quantity": 3,
"allocationLineNumber": 3,
"orderLineId": "134fqfaa532qrf",
"orderId": "123k4h123k",
"orderDate": "2022-08-01T18:03:28.483971941Z",
"estimatedDeliveryDate": "2022-08-01T18:03:28.483971941Z",
"parentAllocationLineNumber": 3,
"reallocationRequestId": "123k4h123k",
"shippedQuantity": 1,
"scratchQuantity": 1,
"scratchedReasonCode": "Scratched during shipment",
"reshipReasonCode": "Reshipping during shipment",
"reallocationReasonCode": "Reallocating due to unavailability of location number",
"channelId": "12",
"segment": None,
"vendorId": "56",
"title": "Demo",
"weight": 5.5,
"cost": 500.2,
"price": 50.2,
"itemStatus": "ALLOCATED",
"attributes": {},
"uom": "KG"
}
],
"version": 2,
"allocationRequestId": "62ff5c0bec0aed3c86202c32",
"allocationNum": "xxyyzz12345",
"sentToPPSDate": "2022-08-01T18:03:28.483971941Z",
"allocationDate": "2022-08-01T18:03:28.483971941Z",
"updatedAt": "2022-08-01T20:03:28.483971941Z",
"type": "ALLOCATED",
"previousAllocationLocationNum": 410,
"poNumber": "1125",
"itemsType": "WEB_SHIP",
"orderSubType": "BORDERFREE",
"vendorId": "56",
"shipDate": None,
"shipType": "SHIP_TO_ADDRESS",
"shipMethod": "Overnight Delivery",
"shipToId": "98ff5c0bec0aed3c86202c32",
"statusCode": "PENDING_PICK",
"locationType": "1234B",
"shipToAddress": {},
"recipient": [
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "demo@xyz.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
],
"auditLogs": [
{
"lineItemId": "4",
"auditId": "62272e917b12209e68751d94",
"auditType": "UPDATE",
"employeeId": "62272e917b12209e68751d94",
"auditTimestamp": "2022-05-12T09:24:54.804Z",
"source": "POS",
"reasonCode": "POS",
"subReasonCode": "POS",
"policyCode": "POS",
"note": "Note",
"lineItemNumber": 1,
"sku": "F5F",
"quantity": 1,
"amount": 2.4,
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"success": True,
"paymentResponse": {},
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
],
"attributes": {}
}
]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
allocationId: '62ff5c0bec0aed3c86202c32',
parentAllocationId: '62ff5c0bec0aed3c86202c32',
locationNum: '1234B',
items: [
{
itemId: '100064',
sku: '123k4h123k',
quantity: 3,
allocationLineNumber: 3,
orderLineId: '134fqfaa532qrf',
orderId: '123k4h123k',
orderDate: '2022-08-01T18:03:28.483971941Z',
estimatedDeliveryDate: '2022-08-01T18:03:28.483971941Z',
parentAllocationLineNumber: 3,
reallocationRequestId: '123k4h123k',
shippedQuantity: 1,
scratchQuantity: 1,
scratchedReasonCode: 'Scratched during shipment',
reshipReasonCode: 'Reshipping during shipment',
reallocationReasonCode: 'Reallocating due to unavailability of location number',
channelId: '12',
segment: null,
vendorId: '56',
title: 'Demo',
weight: 5.5,
cost: 500.2,
price: 50.2,
itemStatus: 'ALLOCATED',
attributes: {},
uom: 'KG'
}
],
version: 2,
allocationRequestId: '62ff5c0bec0aed3c86202c32',
allocationNum: 'xxyyzz12345',
sentToPPSDate: '2022-08-01T18:03:28.483971941Z',
allocationDate: '2022-08-01T18:03:28.483971941Z',
updatedAt: '2022-08-01T20:03:28.483971941Z',
type: 'ALLOCATED',
previousAllocationLocationNum: 410,
poNumber: '1125',
itemsType: 'WEB_SHIP',
orderSubType: 'BORDERFREE',
vendorId: '56',
shipDate: null,
shipType: 'SHIP_TO_ADDRESS',
shipMethod: 'Overnight Delivery',
shipToId: '98ff5c0bec0aed3c86202c32',
statusCode: 'PENDING_PICK',
locationType: '1234B',
shipToAddress: {},
recipient: [
{
name: {first: 'John', middle: 'Middle', last: 'Doe'},
email: 'demo@xyz.inc',
phone: {number: '55555555555', type: 'MOBILE'},
pickupType: 'Primary'
}
],
auditLogs: [
{
lineItemId: '4',
auditId: '62272e917b12209e68751d94',
auditType: 'UPDATE',
employeeId: '62272e917b12209e68751d94',
auditTimestamp: '2022-05-12T09:24:54.804Z',
source: 'POS',
reasonCode: 'POS',
subReasonCode: 'POS',
policyCode: 'POS',
note: 'Note',
lineItemNumber: 1,
sku: 'F5F',
quantity: 1,
amount: 2.4,
paymentToken: {token: 'pi_34tr6787rt', paymentType: 'VISA'},
success: true,
paymentResponse: {},
updatedFields: [{fieldName: 'UOM', fieldOriginalValue: 'PK'}],
attributes: {}
}
]
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'allocationId' => '62ff5c0bec0aed3c86202c32',
'parentAllocationId' => '62ff5c0bec0aed3c86202c32',
'locationNum' => '1234B',
'items' => [
[
'itemId' => '100064',
'sku' => '123k4h123k',
'quantity' => 3,
'allocationLineNumber' => 3,
'orderLineId' => '134fqfaa532qrf',
'orderId' => '123k4h123k',
'orderDate' => '2022-08-01T18:03:28.483971941Z',
'estimatedDeliveryDate' => '2022-08-01T18:03:28.483971941Z',
'parentAllocationLineNumber' => 3,
'reallocationRequestId' => '123k4h123k',
'shippedQuantity' => 1,
'scratchQuantity' => 1,
'scratchedReasonCode' => 'Scratched during shipment',
'reshipReasonCode' => 'Reshipping during shipment',
'reallocationReasonCode' => 'Reallocating due to unavailability of location number',
'channelId' => '12',
'segment' => null,
'vendorId' => '56',
'title' => 'Demo',
'weight' => 5.5,
'cost' => 500.2,
'price' => 50.2,
'itemStatus' => 'ALLOCATED',
'attributes' => [
],
'uom' => 'KG'
]
],
'version' => 2,
'allocationRequestId' => '62ff5c0bec0aed3c86202c32',
'allocationNum' => 'xxyyzz12345',
'sentToPPSDate' => '2022-08-01T18:03:28.483971941Z',
'allocationDate' => '2022-08-01T18:03:28.483971941Z',
'updatedAt' => '2022-08-01T20:03:28.483971941Z',
'type' => 'ALLOCATED',
'previousAllocationLocationNum' => 410,
'poNumber' => '1125',
'itemsType' => 'WEB_SHIP',
'orderSubType' => 'BORDERFREE',
'vendorId' => '56',
'shipDate' => null,
'shipType' => 'SHIP_TO_ADDRESS',
'shipMethod' => 'Overnight Delivery',
'shipToId' => '98ff5c0bec0aed3c86202c32',
'statusCode' => 'PENDING_PICK',
'locationType' => '1234B',
'shipToAddress' => [
],
'recipient' => [
[
'name' => [
'first' => 'John',
'middle' => 'Middle',
'last' => 'Doe'
],
'email' => 'demo@xyz.inc',
'phone' => [
'number' => '55555555555',
'type' => 'MOBILE'
],
'pickupType' => 'Primary'
]
],
'auditLogs' => [
[
'lineItemId' => '4',
'auditId' => '62272e917b12209e68751d94',
'auditType' => 'UPDATE',
'employeeId' => '62272e917b12209e68751d94',
'auditTimestamp' => '2022-05-12T09:24:54.804Z',
'source' => 'POS',
'reasonCode' => 'POS',
'subReasonCode' => 'POS',
'policyCode' => 'POS',
'note' => 'Note',
'lineItemNumber' => 1,
'sku' => 'F5F',
'quantity' => 1,
'amount' => 2.4,
'paymentToken' => [
'token' => 'pi_34tr6787rt',
'paymentType' => 'VISA'
],
'success' => true,
'paymentResponse' => [
],
'updatedFields' => [
[
'fieldName' => 'UOM',
'fieldOriginalValue' => 'PK'
]
],
'attributes' => [
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}"
payload := strings.NewReader("{\n \"allocationId\": \"62ff5c0bec0aed3c86202c32\",\n \"parentAllocationId\": \"62ff5c0bec0aed3c86202c32\",\n \"locationNum\": \"1234B\",\n \"items\": [\n {\n \"itemId\": \"100064\",\n \"sku\": \"123k4h123k\",\n \"quantity\": 3,\n \"allocationLineNumber\": 3,\n \"orderLineId\": \"134fqfaa532qrf\",\n \"orderId\": \"123k4h123k\",\n \"orderDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"estimatedDeliveryDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"parentAllocationLineNumber\": 3,\n \"reallocationRequestId\": \"123k4h123k\",\n \"shippedQuantity\": 1,\n \"scratchQuantity\": 1,\n \"scratchedReasonCode\": \"Scratched during shipment\",\n \"reshipReasonCode\": \"Reshipping during shipment\",\n \"reallocationReasonCode\": \"Reallocating due to unavailability of location number\",\n \"channelId\": \"12\",\n \"segment\": null,\n \"vendorId\": \"56\",\n \"title\": \"Demo\",\n \"weight\": 5.5,\n \"cost\": 500.2,\n \"price\": 50.2,\n \"itemStatus\": \"ALLOCATED\",\n \"attributes\": {},\n \"uom\": \"KG\"\n }\n ],\n \"version\": 2,\n \"allocationRequestId\": \"62ff5c0bec0aed3c86202c32\",\n \"allocationNum\": \"xxyyzz12345\",\n \"sentToPPSDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"allocationDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"updatedAt\": \"2022-08-01T20:03:28.483971941Z\",\n \"type\": \"ALLOCATED\",\n \"previousAllocationLocationNum\": 410,\n \"poNumber\": \"1125\",\n \"itemsType\": \"WEB_SHIP\",\n \"orderSubType\": \"BORDERFREE\",\n \"vendorId\": \"56\",\n \"shipDate\": null,\n \"shipType\": \"SHIP_TO_ADDRESS\",\n \"shipMethod\": \"Overnight Delivery\",\n \"shipToId\": \"98ff5c0bec0aed3c86202c32\",\n \"statusCode\": \"PENDING_PICK\",\n \"locationType\": \"1234B\",\n \"shipToAddress\": {},\n \"recipient\": [\n {\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"demo@xyz.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"pickupType\": \"Primary\"\n }\n ],\n \"auditLogs\": [\n {\n \"lineItemId\": \"4\",\n \"auditId\": \"62272e917b12209e68751d94\",\n \"auditType\": \"UPDATE\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"auditTimestamp\": \"2022-05-12T09:24:54.804Z\",\n \"source\": \"POS\",\n \"reasonCode\": \"POS\",\n \"subReasonCode\": \"POS\",\n \"policyCode\": \"POS\",\n \"note\": \"Note\",\n \"lineItemNumber\": 1,\n \"sku\": \"F5F\",\n \"quantity\": 1,\n \"amount\": 2.4,\n \"paymentToken\": {\n \"token\": \"pi_34tr6787rt\",\n \"paymentType\": \"VISA\"\n },\n \"success\": true,\n \"paymentResponse\": {},\n \"updatedFields\": [\n {\n \"fieldName\": \"UOM\",\n \"fieldOriginalValue\": \"PK\"\n }\n ],\n \"attributes\": {}\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"allocationId\": \"62ff5c0bec0aed3c86202c32\",\n \"parentAllocationId\": \"62ff5c0bec0aed3c86202c32\",\n \"locationNum\": \"1234B\",\n \"items\": [\n {\n \"itemId\": \"100064\",\n \"sku\": \"123k4h123k\",\n \"quantity\": 3,\n \"allocationLineNumber\": 3,\n \"orderLineId\": \"134fqfaa532qrf\",\n \"orderId\": \"123k4h123k\",\n \"orderDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"estimatedDeliveryDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"parentAllocationLineNumber\": 3,\n \"reallocationRequestId\": \"123k4h123k\",\n \"shippedQuantity\": 1,\n \"scratchQuantity\": 1,\n \"scratchedReasonCode\": \"Scratched during shipment\",\n \"reshipReasonCode\": \"Reshipping during shipment\",\n \"reallocationReasonCode\": \"Reallocating due to unavailability of location number\",\n \"channelId\": \"12\",\n \"segment\": null,\n \"vendorId\": \"56\",\n \"title\": \"Demo\",\n \"weight\": 5.5,\n \"cost\": 500.2,\n \"price\": 50.2,\n \"itemStatus\": \"ALLOCATED\",\n \"attributes\": {},\n \"uom\": \"KG\"\n }\n ],\n \"version\": 2,\n \"allocationRequestId\": \"62ff5c0bec0aed3c86202c32\",\n \"allocationNum\": \"xxyyzz12345\",\n \"sentToPPSDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"allocationDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"updatedAt\": \"2022-08-01T20:03:28.483971941Z\",\n \"type\": \"ALLOCATED\",\n \"previousAllocationLocationNum\": 410,\n \"poNumber\": \"1125\",\n \"itemsType\": \"WEB_SHIP\",\n \"orderSubType\": \"BORDERFREE\",\n \"vendorId\": \"56\",\n \"shipDate\": null,\n \"shipType\": \"SHIP_TO_ADDRESS\",\n \"shipMethod\": \"Overnight Delivery\",\n \"shipToId\": \"98ff5c0bec0aed3c86202c32\",\n \"statusCode\": \"PENDING_PICK\",\n \"locationType\": \"1234B\",\n \"shipToAddress\": {},\n \"recipient\": [\n {\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"demo@xyz.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"pickupType\": \"Primary\"\n }\n ],\n \"auditLogs\": [\n {\n \"lineItemId\": \"4\",\n \"auditId\": \"62272e917b12209e68751d94\",\n \"auditType\": \"UPDATE\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"auditTimestamp\": \"2022-05-12T09:24:54.804Z\",\n \"source\": \"POS\",\n \"reasonCode\": \"POS\",\n \"subReasonCode\": \"POS\",\n \"policyCode\": \"POS\",\n \"note\": \"Note\",\n \"lineItemNumber\": 1,\n \"sku\": \"F5F\",\n \"quantity\": 1,\n \"amount\": 2.4,\n \"paymentToken\": {\n \"token\": \"pi_34tr6787rt\",\n \"paymentType\": \"VISA\"\n },\n \"success\": true,\n \"paymentResponse\": {},\n \"updatedFields\": [\n {\n \"fieldName\": \"UOM\",\n \"fieldOriginalValue\": \"PK\"\n }\n ],\n \"attributes\": {}\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/allocation/{allocationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"allocationId\": \"62ff5c0bec0aed3c86202c32\",\n \"parentAllocationId\": \"62ff5c0bec0aed3c86202c32\",\n \"locationNum\": \"1234B\",\n \"items\": [\n {\n \"itemId\": \"100064\",\n \"sku\": \"123k4h123k\",\n \"quantity\": 3,\n \"allocationLineNumber\": 3,\n \"orderLineId\": \"134fqfaa532qrf\",\n \"orderId\": \"123k4h123k\",\n \"orderDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"estimatedDeliveryDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"parentAllocationLineNumber\": 3,\n \"reallocationRequestId\": \"123k4h123k\",\n \"shippedQuantity\": 1,\n \"scratchQuantity\": 1,\n \"scratchedReasonCode\": \"Scratched during shipment\",\n \"reshipReasonCode\": \"Reshipping during shipment\",\n \"reallocationReasonCode\": \"Reallocating due to unavailability of location number\",\n \"channelId\": \"12\",\n \"segment\": null,\n \"vendorId\": \"56\",\n \"title\": \"Demo\",\n \"weight\": 5.5,\n \"cost\": 500.2,\n \"price\": 50.2,\n \"itemStatus\": \"ALLOCATED\",\n \"attributes\": {},\n \"uom\": \"KG\"\n }\n ],\n \"version\": 2,\n \"allocationRequestId\": \"62ff5c0bec0aed3c86202c32\",\n \"allocationNum\": \"xxyyzz12345\",\n \"sentToPPSDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"allocationDate\": \"2022-08-01T18:03:28.483971941Z\",\n \"updatedAt\": \"2022-08-01T20:03:28.483971941Z\",\n \"type\": \"ALLOCATED\",\n \"previousAllocationLocationNum\": 410,\n \"poNumber\": \"1125\",\n \"itemsType\": \"WEB_SHIP\",\n \"orderSubType\": \"BORDERFREE\",\n \"vendorId\": \"56\",\n \"shipDate\": null,\n \"shipType\": \"SHIP_TO_ADDRESS\",\n \"shipMethod\": \"Overnight Delivery\",\n \"shipToId\": \"98ff5c0bec0aed3c86202c32\",\n \"statusCode\": \"PENDING_PICK\",\n \"locationType\": \"1234B\",\n \"shipToAddress\": {},\n \"recipient\": [\n {\n \"name\": {\n \"first\": \"John\",\n \"middle\": \"Middle\",\n \"last\": \"Doe\"\n },\n \"email\": \"demo@xyz.inc\",\n \"phone\": {\n \"number\": \"55555555555\",\n \"type\": \"MOBILE\"\n },\n \"pickupType\": \"Primary\"\n }\n ],\n \"auditLogs\": [\n {\n \"lineItemId\": \"4\",\n \"auditId\": \"62272e917b12209e68751d94\",\n \"auditType\": \"UPDATE\",\n \"employeeId\": \"62272e917b12209e68751d94\",\n \"auditTimestamp\": \"2022-05-12T09:24:54.804Z\",\n \"source\": \"POS\",\n \"reasonCode\": \"POS\",\n \"subReasonCode\": \"POS\",\n \"policyCode\": \"POS\",\n \"note\": \"Note\",\n \"lineItemNumber\": 1,\n \"sku\": \"F5F\",\n \"quantity\": 1,\n \"amount\": 2.4,\n \"paymentToken\": {\n \"token\": \"pi_34tr6787rt\",\n \"paymentType\": \"VISA\"\n },\n \"success\": true,\n \"paymentResponse\": {},\n \"updatedFields\": [\n {\n \"fieldName\": \"UOM\",\n \"fieldOriginalValue\": \"PK\"\n }\n ],\n \"attributes\": {}\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"allocationId": "62ff5c0bec0aed3c86202c32",
"parentAllocationId": "62ff5c0bec0aed3c86202c32",
"locationNum": "1234B",
"items": [
{
"itemId": "100064",
"sku": "123k4h123k",
"quantity": 3,
"allocationLineNumber": 3,
"orderLineId": "134fqfaa532qrf",
"orderId": "123k4h123k",
"orderDate": "2022-08-01T18:03:28.483971941Z",
"estimatedDeliveryDate": "2022-08-01T18:03:28.483971941Z",
"parentAllocationLineNumber": 3,
"reallocationRequestId": "123k4h123k",
"shippedQuantity": 1,
"scratchQuantity": 1,
"scratchedReasonCode": "Scratched during shipment",
"reshipReasonCode": "Reshipping during shipment",
"reallocationReasonCode": "Reallocating due to unavailability of location number",
"channelId": "12",
"segment": null,
"vendorId": "56",
"title": "Demo",
"weight": 5.5,
"cost": 500.2,
"price": 50.2,
"itemStatus": "ALLOCATED",
"attributes": {},
"uom": "KG"
}
],
"version": 2,
"allocationRequestId": "62ff5c0bec0aed3c86202c32",
"allocationNum": "xxyyzz12345",
"sentToPPSDate": "2022-08-01T18:03:28.483971941Z",
"allocationDate": "2022-08-01T18:03:28.483971941Z",
"updatedAt": "2022-08-01T20:03:28.483971941Z",
"type": "ALLOCATED",
"previousAllocationLocationNum": 410,
"poNumber": "1125",
"itemsType": "WEB_SHIP",
"orderSubType": "BORDERFREE",
"vendorId": "56",
"shipDate": null,
"shipType": "SHIP_TO_ADDRESS",
"shipMethod": "Overnight Delivery",
"shipToId": "98ff5c0bec0aed3c86202c32",
"statusCode": "PENDING_PICK",
"locationType": "1234B",
"shipToAddress": {},
"recipient": [
{
"name": {
"first": "John",
"middle": "Middle",
"last": "Doe"
},
"email": "demo@xyz.inc",
"phone": {
"number": "55555555555",
"type": "MOBILE"
},
"pickupType": "Primary"
}
],
"auditLogs": [
{
"lineItemId": "4",
"auditId": "62272e917b12209e68751d94",
"auditType": "UPDATE",
"employeeId": "62272e917b12209e68751d94",
"auditTimestamp": "2022-05-12T09:24:54.804Z",
"source": "POS",
"reasonCode": "POS",
"subReasonCode": "POS",
"policyCode": "POS",
"note": "Note",
"lineItemNumber": 1,
"sku": "F5F",
"quantity": 1,
"amount": 2.4,
"paymentToken": {
"token": "pi_34tr6787rt",
"paymentType": "VISA"
},
"success": true,
"paymentResponse": {},
"updatedFields": [
{
"fieldName": "UOM",
"fieldOriginalValue": "PK"
}
],
"attributes": {}
}
]
}{
"message": "Allocation details not available for this allocationId"
}{
"message": "Internal Server Error"
}Authorizations
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
Allocation details
Response
Allocation Updated
Allocation details
Was this page helpful?
